using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace timetracker.Data.Migrations
{
    /// <inheritdoc />
    public partial class AddFlexTimeAndHolidayState : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "Counties",
                table: "PublicHolidays",
                type: "TEXT",
                nullable: true);

            migrationBuilder.AddColumn<DateOnly>(
                name: "FlexTimeStartDate",
                table: "AppSettings",
                type: "TEXT",
                nullable: true);

            migrationBuilder.AddColumn<double>(
                name: "FlexTimeStartingBalanceHours",
                table: "AppSettings",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);

            migrationBuilder.AddColumn<string>(
                name: "GermanState",
                table: "AppSettings",
                type: "TEXT",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Counties",
                table: "PublicHolidays");

            migrationBuilder.DropColumn(
                name: "FlexTimeStartDate",
                table: "AppSettings");

            migrationBuilder.DropColumn(
                name: "FlexTimeStartingBalanceHours",
                table: "AppSettings");

            migrationBuilder.DropColumn(
                name: "GermanState",
                table: "AppSettings");
        }
    }
}
